import { AuthenticationContext, Identity } from "@webiny/api-authentication/types";
import { ContextPlugin } from "@webiny/api";
import { Config as CognitoConfig } from "@webiny/api-cognito-authenticator";
export declare type GetIdentity<TIdentity extends Identity = Identity> = (params: {
    identityType: string;
    token: {
        [key: string]: any;
    };
}) => TIdentity;
export interface Config extends CognitoConfig {
    identityType: string;
    getIdentity?: GetIdentity;
}
export declare const getIdentity: GetIdentity;
declare const _default: (config: Config) => ContextPlugin<AuthenticationContext<Identity>>;
export default _default;
